mia-2dfluid
Prev | Registration, Comparison, and Transformation of 2D images | Next

### mia-2dfluid

#### Sysnopis:

`mia-2dfluid` {-i `io`} {-r `io`} [ `options` ...]

#### Description:

This program is used for non-rigid registration based on fluid dynamics. For reference see

Wollny, G. and Kruggel, F., 'Computational cost of non-rigid registration algorithms based on fluid dynamics', IEEE Transactions on Medical Imaging, 11(8), pp. 946-952, 2002.

It uses SSD as the sole registration criterion.

#### Options:

#### File-IO

-i, --in-image=(input, required); io

  input (test) image to be registered. For supported file types see Plugin type: 2dimage/io

-r, --ref-image=(input, required); io

  reference image. For supported file types see Plugin type: 2dimage/io

-o, --out-transformation=(output); io

  output transformation comprising the registration. For supported file types see Plugin type: 2dvf/io

-d, --out-image=(output); io

  output image deformed according to the transformation. For supported file types see Plugin type: 2dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Registration parameters

-m, --mgstart=16; uint

  multigrid start size

-e, --epsilon=0.001; float

  optimization breaking condition

--mu=1; float

  elasticity parameter

--lambda=1; float

  elasticity parameter

--elastic

  use elastic registration

#### Example:

Register image test.v to image ref.v and write the deformation vector field regfield.v. Start registration at the smallest size above 16 pixel.

    mia-2dfluid -i test.v -r ref.v -o regfield.v -s 16

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2ddeform | Home | mia-2dfluid-syn-registration